Page MenuHomeVyOS Platform

SSTP with ipv6
Closed, ResolvedPublicBUG

Description

There should be a copy of settings available under for vpn l2tp (like client-ipv6-pool) under vpn sstp as well.

As there's basicly same infrastructure below this shouldn't take long.

Details

Difficulty level
Easy (less than an hour)
Version
1.3-rolling-202004270117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

primoz created this task.Apr 27 2020, 3:24 PM
pasik added a subscriber: pasik.Apr 27 2020, 8:40 PM
rherold added a subscriber: rherold.May 5 2020, 7:35 AM
c-po changed the task status from Open to In progress.May 6 2020, 7:10 PM
c-po claimed this task.
c-po added a comment.EditedMay 6 2020, 7:42 PM

New commands added:

  • set vpn sstp network-settings client-ipv6-pool prefix 2001:db8::/64 mask 64
  • set vpn sstp network-settings client-ipv6-pool delegate 2001:db8:100::/48 delegation-prefix 56
  • set vpn sstp network-settings name-server 2001:db8::1111

@s.lorente could you please append those commands to the documentation?

c-po changed the task status from In progress to Needs testing.May 6 2020, 7:43 PM
c-po added a subscriber: s.lorente.
s.lorente added a project: Restricted Project.May 6 2020, 7:47 PM

Works for me nicely. Thanks.

c-po closed this task as Resolved.May 12 2020, 7:22 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 4:16 PM